> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Node Health

> Returns the current health status of the RPC node the client connects to.



## OpenAPI

````yaml /openapi.json post /health
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /health:
    post:
      summary: Node Health
      description: >-
        Returns the current health status of the RPC node the client connects
        to.
      operationId: health
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JsonRpcRequest_for_health'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_Nullable_RpcHealthResponse_and_RpcStatusError
components:
  schemas:
    JsonRpcRequest_for_health:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - health
          type: string
        params:
          $ref: '#/components/schemas/RpcHealthRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_health
      type: object
    JsonRpcResponse_for_Nullable_RpcHealthResponse_and_RpcStatusError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_Nullable_RpcHealthResponse_and_RpcStatusError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_Nullable_RpcHealthResponse_and_RpcStatusError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_Nullable_RpcHealthResponse_and_RpcStatusError
      type: object
    RpcHealthRequest:
      enum:
        - null
      nullable: true
      title: RpcHealthRequest
    JsonRpcResponse_for_Nullable_RpcHealthResponse_and_RpcStatusError_variant0:
      properties:
        result:
          anyOf:
            - $ref: '#/components/schemas/RpcHealthResponse'
            - enum:
                - null
              nullable: true
      required:
        - result
      type: object
    JsonRpcResponse_for_Nullable_RpcHealthResponse_and_RpcStatusError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcStatusError'
      required:
        - error
      type: object
    RpcHealthResponse:
      enum:
        - null
      nullable: true
    ErrorWrapper_for_RpcStatusError:
      oneOf:
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcStatusError_variant0'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcStatusError_variant1'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcStatusError_variant2'
    ErrorWrapper_for_RpcStatusError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcStatusError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcStatusError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcStatusError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcStatusError:
      oneOf:
        - $ref: '#/components/schemas/RpcStatusError_variant0'
        - $ref: '#/components/schemas/RpcStatusError_variant1'
        - $ref: '#/components/schemas/RpcStatusError_variant2'
        - $ref: '#/components/schemas/RpcStatusError_variant3'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcStatusError_variant0:
      properties:
        name:
          enum:
            - NODE_IS_SYNCING
          type: string
      required:
        - name
      type: object
    RpcStatusError_variant1:
      properties:
        info:
          properties:
            elapsed:
              items:
                format: uint64
                minimum: 0
                type: integer
              maxItems: 2
              minItems: 2
              type: array
          required:
            - elapsed
          type: object
        name:
          enum:
            - NO_NEW_BLOCKS
          type: string
      required:
        - name
        - info
      type: object
    RpcStatusError_variant2:
      properties:
        info:
          properties:
            epoch_id:
              $ref: '#/components/schemas/EpochId'
          required:
            - epoch_id
          type: object
        name:
          enum:
            - EPOCH_OUT_OF_BOUNDS
          type: string
      required:
        - name
        - info
      type: object
    RpcStatusError_variant3:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    EpochId:
      allOf:
        - $ref: '#/components/schemas/CryptoHash'
      description: |-
        Epoch identifier -- wrapped hash, to make it easier to distinguish.
        EpochId of epoch T is the hash of last block in T-2
        EpochId of first two epochs is 0
    CryptoHash:
      type: string

````